package com.jeeplus.finance.projectReport.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.projectReport.domain.CwProofreadDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CwProofreadDetailMapper extends BaseMapper<CwProofreadDetail> {

    List<CwProofreadDetail> findByInfoId(@Param("id") String id);
    @InterceptorIgnore(tenantLine = "true")
    List<CwProofreadDetail> findByReportInfoId(@Param("id") String id);

    List<CwProofreadDetail> findList(@Param("type")String type);

    @InterceptorIgnore(tenantLine = "true")
    CwProofreadDetail getByTypeIdAndInfoId(@Param("typeId")String typeId,@Param("infoId")String infoId);

    @InterceptorIgnore(tenantLine = "true")
    void updateReportReviewInfoById(CwProofreadDetail detail);
}
